face.c File Reference

## Functions

MFace * | mface ()
| Create a new face. More...
MFace * | mface_copy (MFace *face)
| Make a copy of a face. More...
int | mface_equal (MFace *face1, MFace *face2)
| Compare faces. More...
MFace * | mface_merge (MFace *dst, MFace *src)
| Merge faces. More...
MFace * | mface_from_font (MFont *font)
| Make a face from a font. More...
void * | mface_get_prop (MFace *face, MSymbol key)
| Get the value of a face property. More...
MFaceHookFunc | mface_get_hook (MFace *face)
| Get the hook function of a face. More...
int | mface_put_prop (MFace *face, MSymbol key, void *val)
| Set a value of a face property. More...
int | mface_put_hook (MFace *face, MFaceHookFunc func)
| Set a hook function to a face. More...
void | mface_update (MFrame *frame, MFace *face)
| Update a face. More...
MFace * | mdebug_dump_face (MFace *face, int indent)
| Dump a face. More...

## Variables

Variables: Keys of face property
MSymbol | Mforeground
| Key of a face property specifying foreground color. More...
MSymbol | Mbackground
| Key of a face property specifying background color. More...
MSymbol | Mvideomode
| Key of a face property specifying video mode. More...
MSymbol | Mratio
| Key of a face property specifying font size ratio. More...
MSymbol | Mhline
| Key of a face property specifying horizontal line. More...
MSymbol | Mbox
| Key of a face property specifying box. More...
MSymbol | Mfontset
| Key of a face property specifying fontset. More...
MSymbol | Mhook_func
| Key of a face property specifying hook. More...
MSymbol | Mhook_arg
| Key of a face property specifying argument of hook. More...
Variables: Possible values of #Mvideomode property of face
See the documentation of the variable Mvideomode.
MSymbol | Mnormal
MSymbol | Mreverse
Variables: Predefined faces
MFace * | mface_normal_video
| Normal video face. More...
MFace * | mface_reverse_video
| Reverse video face. More...
MFace * | mface_underline
MFace * | mface_medium
| Medium face. More...
MFace * | mface_bold
| Bold face. More...
MFace * | mface_italic
| Italic face. More...
MFace * | mface_bold_italic
| Bold italic face. More...
MFace * | mface_xx_small
| Smallest face. More...
MFace * | mface_x_small
| Smaller face. More...
MFace * | mface_small
| Small face. More...
MFace * | mface_normalsize
| Normalsize face. More...
MFace * | mface_large
| Large face. More...
MFace * | mface_x_large
| Larger face. More...
MFace * | mface_xx_large
| Largest face. More...
MFace * | mface_black
| Black face. More...
MFace * | mface_white
| White face. More...
MFace * | mface_red
| Red face. More...
MFace * | mface_green
| Green face. More...
MFace * | mface_blue
| Blue face. More...
MFace * | mface_cyan
| Cyan face. More...
MFace * | mface_yellow
| yellow face. More...
MFace * | mface_magenta
| Magenta face. More...
Variables: The other symbols for face handling.
MSymbol | Mface
| Key of a text property specifying a face. More...